XMLDiff\Memory::merge
XMLDiff\File::diff
XMLDiff
PHP Manual

# The XMLDiff\File class

(PECL xmldiff >= 0.8.0)

## Introduction

## Class synopsis

XMLDiff\File extends XMLDiff\Base {
/* Methods */
public string diff ( string `$from` , string `$to` )
public string merge ( string `$src` , string `$diff` )
/* Inherited methods */
public XMLDiff\Base::__construct ( string `$nsname` )
abstract public mixed XMLDiff\Base::diff ( mixed `$from` , mixed `$to` )
abstract public mixed XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` )
}

## Table of Contents

- XMLDiff\File::diff — Diff two XML files
- XMLDiff\File::merge — Produce merged XML document

XMLDiff\Memory::merge
XMLDiff\File::diff
XMLDiff
PHP Manual